#include<bits\stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    long long n, k, x;
    cin>>n>>k>>x;
    if(n == k)
    {
        cout<<2 * x + 1<<" ";
        cout<<x + 1<<" ";
        cout<<1<<" ";
        for(int i = 3; i < n; i++)
        {
            cout<<2<<" ";
        }
    }
    else if(k == 3)
    {
        cout<<x + 1<<" ";
        cout<<1<<" ";
        cout<<1<<" ";
        cout<<1<<" ";
        for(long long i = 4; i < n; i++)
        {
            cout<<2<<" ";
        }
    }
    else if(k < n)
    {
        cout<<x + 1;
        for(int i = 0; i < k; i++)
        {
            cout<<1<<" ";
        }
        for(int i = k + 1; i < n; i++)
        {
            cout<<2<<" ";
        }
    }
}